version: '3.7'
services:
  webview:
    build:
      dockerfile: Dockerfile
      context: ./
    command: npm run start
    privileged: true
    cap_add:
      - ALL
    restart: always
    container_name: wctdreamwebsite-front
    expose:
      - 3000
    ports:
      - 3004:3000
    environment:
      - TZ=Asia/Shanghai
    volumes:
      - ./.nuxt:/wwwroot/.nuxt
      - ./static:/wwwroot/static
      - ./package.json:/wwwroot/package.json
      - ./nuxt.config.js:/wwwroot/nuxt.config.js
    working_dir: /wwwroot
    networks:
      default:
        ipv4_address: 172.20.0.5

#docker network create --driver=bridge --subnet=172.20.0.0/16 --gateway=172.20.0.1 net-website
networks:
  default:
    driver: bridge
    name: net-website
    external: true
